Resource Center/Hardware/Host Operations
PUTHost OperationsSince 5.0.0SynchronousAuth Required
AttachNicToBonding
AttachNicToBonding
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
attachnictobondingObjectRequiredattachnictobonding request body object.
slaveUuidsListRequiredThe slave NIC UUIDs.
typeStringOptional. The bond type.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/hosts/bondings/{uuid}/attach
/zstack/v1/hosts/bondings/{uuid}/attach
Request Example
curl -X PUT 'http://{host}/zstack/v1/hosts/bondings/{uuid}/attach' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"attachnictobonding":{"slaveUuids":["<slaveUuids>"],"type":"<type>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
